%global _empty_manifest_terminate_build 0
Name:		python-enmerkar
Version:	0.7.1
Release:	2
Summary:	Utilities for using Babel in Django
License:	BSD-3-Clause
URL:		https://github.com/Zegocover/enmerkar
Source0:	https://files.pythonhosted.org/packages/8f/6e/3930a6a285fbb350bdaf648569febeaf96ddb5813aa76c608000f73bc636/enmerkar-0.7.1.tar.gz
BuildArch:	noarch

Requires:	python3-django
Requires:	python3-babel

%description
This package contains various utilities for integration of `Babel`_ into the
`Django`_ web framework:
 * A message extraction plugin for Django templates.
 * A middleware class that adds the Babel `Locale`_ object to requests.
 * A set of template tags for date and number formatting.

%package -n python3-enmerkar
Summary:	Utilities for using Babel in Django
Provides:	python-enmerkar
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-enmerkar
This package contains various utilities for integration of `Babel`_ into the
`Django`_ web framework:
 * A message extraction plugin for Django templates.
 * A middleware class that adds the Babel `Locale`_ object to requests.
 * A set of template tags for date and number formatting.

%package help
Summary:	Development documents and examples for enmerkar
Provides:	python3-enmerkar-doc
%description help
This package contains various utilities for integration of `Babel`_ into the
`Django`_ web framework:
 * A message extraction plugin for Django templates.
 * A middleware class that adds the Babel `Locale`_ object to requests.
 * A set of template tags for date and number formatting.

%prep
%autosetup -n enmerkar-0.7.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-enmerkar -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue May 10 2022 xigaoxinyan <xigaoxinyan@h-partners.com> - 0.7.1-2
- License compliance rectification

* Sat Jan 30 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
